Main Page | Namespace List | Class Hierarchy | Alphabetical List | Class List | File List | Namespace Members | Class Members | File Members | Related Pages

# osg::Texture::TextureObject Class Reference

Inheritance diagram for osg::Texture::TextureObject:

[legend]
List of all members.

## Public Member Functions
| TextureObject (GLuint id, GLenum target)
| TextureObject (GLuint id, GLenum target, GLint numMipmapLevels, GLenum internalFormat, GLsizei width, GLsizei height, GLsizei depth, GLint border)
bool | match (GLenum target, GLint numMipmapLevels, GLenum internalFormat, GLsizei width, GLsizei height, GLsizei depth, GLint border)
void | bind ()
void | setAllocated (bool allocated=true)
void | setAllocated (GLint numMipmapLevels, GLenum internalFormat, GLsizei width, GLsizei height, GLsizei depth, GLint border)
bool | isAllocated () const
bool | isReusable () const
## Public Attributes
GLuint | _id
GLenum | _target
GLint | _numMipmapLevels
GLenum | _internalFormat
GLsizei | _width
GLsizei | _height
GLsizei | _depth
GLint | _border
bool | _allocated
double | _timeStamp

## Constructor & Destructor Documentation

osg::Texture::TextureObject::TextureObject | ( | GLuint | id,
|  | GLenum | target
| ) | `[inline]`

osg::Texture::TextureObject::TextureObject | ( | GLuint | id,
|  | GLenum | target,
|  | GLint | numMipmapLevels,
|  | GLenum | internalFormat,
|  | GLsizei | width,
|  | GLsizei | height,
|  | GLsizei | depth,
|  | GLint | border
| ) | `[inline]`

## Member Function Documentation

void osg::Texture::TextureObject::bind | ( |  | ) | `[inline]`

bool osg::Texture::TextureObject::isAllocated | ( |  | ) | const`[inline]`

bool osg::Texture::TextureObject::isReusable | ( |  | ) | const`[inline]`

bool osg::Texture::TextureObject::match | ( | GLenum | target,
|  | GLint | numMipmapLevels,
|  | GLenum | internalFormat,
|  | GLsizei | width,
|  | GLsizei | height,
|  | GLsizei | depth,
|  | GLint | border
| ) | `[inline]`

void osg::Texture::TextureObject::setAllocated | ( | GLint | numMipmapLevels,
|  | GLenum | internalFormat,
|  | GLsizei | width,
|  | GLsizei | height,
|  | GLsizei | depth,
|  | GLint | border
| ) | `[inline]`

void osg::Texture::TextureObject::setAllocated | ( | bool | allocated = true | ) | `[inline]`

## Member Data Documentation

bool osg::Texture::TextureObject::_allocated

GLint osg::Texture::TextureObject::_border

GLsizei osg::Texture::TextureObject::_depth

GLsizei osg::Texture::TextureObject::_height

GLuint osg::Texture::TextureObject::_id

GLenum osg::Texture::TextureObject::_internalFormat

GLint osg::Texture::TextureObject::_numMipmapLevels

GLenum osg::Texture::TextureObject::_target

double osg::Texture::TextureObject::_timeStamp

GLsizei osg::Texture::TextureObject::_width

The documentation for this class was generated from the following file:

- Texture